[Date Prev][Date Next] [Chronological] [Thread] [Top]

db_recover gives program version mismatch


I am getting belwo errors when i run db_recover  on rhel 6.3 64 bit.

[root@mmprodam01 data-ldap]# /apps/db4/bin/db_recover -h /apps/openldap/var/openldap-data/
db_recover: Program version 4.7 doesn't match environment version 4.8
db_recover: Unacceptable log file /apps/openldap/var/openldap-data/log.0000000001: unsupported log version 16
db_recover: Invalid log file: log.0000000001: Invalid argument
db_recover: PANIC: Invalid argument
db_recover: process-private: unable to find environment
db_recover: DB_ENV->open: DB_RUNRECOVERY: Fatal error, run database recovery

I have installed berkely db in /apps/db4  with simple prefix=/apps/db4

i am getting this error everytime i run any db_xxx command.

[root@mmprodam01 data-ldap]# rpm -qa | grep db4

Its still taking db4.7 . Any help would be great.

Let me know in case further details are required.


Anil Beniwal